AutoCAD .NET :: Create Jig To Insert Hallow Slab (polyline)

Jun 8, 2013

I want to create jig to insert hallow slab (polyline) everything works fine until I am trying to use an added keyword for rotation then Autocad crashes really bad (no error information). Here is a code, in comment place where program crashes.

Ps: I've already been on through the interface and tried to use text jig but no result in my case

Imports SystemImports Autodesk.AutoCAD.RuntimeImports Autodesk.AutoCAD.ApplicationServicesImports Autodesk.AutoCAD.DatabaseServicesImports Autodesk.AutoCAD.GeometryImports Autodesk.AutoCAD.EditorInputNamespace AutoCAD_VB_plug_in1 Public Class [code]........

View 3 Replies


ADVERTISEMENT

Revit :: How To Create A Slope To The Slab

Jan 15, 2013

I originally created a slab with the full version of Autodesk Revit 2013 with POINTS to create a slope to the slab. There does not seem to be a way to edit those points with Autodesk Revit LT. There appears to be an alternate method in the LT version to create slopes utilizing slope arrows. So is SLOPE EDITING no longer a feature with LT?

View 2 Replies View Related

Revit :: How To Create Irregular Concrete Slab

Apr 1, 2013

I am looking to create an irregular concrete slab, with barrel vaulted ceilings on a small radial section of a circular slab, and a a parabolically curved upper section to the slab, and a large punched hole in the middle of the slab.  To this point, I have been able to achieve this using multiple components and masses, but I was wondering if there was a way to make a single object with a single solid material that may be able to achieve the same effect.  I have attached a section for ease of explanation.

View 8 Replies View Related

Revit :: How To Create New Floor Slab For Basement Project

Feb 20, 2013

I ran into a problem when trying to create a new floor slab for a basement project.

Rivet stops working and shuts down after I try and load "sand" into the material column. The same thing happens when I tried to load   "gravel". Interestingly enough, "Earth" can be loaded with no problems.

View 9 Replies View Related

AutoCad 3D :: How To Hallow Something Out After It Is 3D Solid

Sep 29, 2011

I cant figure out an efficient way to hallow something out after it is a 3d solid. Usually if I want this I will draw it in 2d knowing I will extrude one region and not the other. My problem comes with a sphere. I need to put a square hole through it. Its probably an easy 123 operation but am unfamiliar.

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Modify Property - Insert Polyline As Block

Sep 22, 2011

I am starting with a polyline then i use the pasteblock command to insert that polyline as a block.Now i can pull up the property box and change the xyz scale.

I would like to know how to change these setting in my lisp.The scale will be x=1 y=0.1 z=1

View 7 Replies View Related

AutoCad 3D :: Create (in 3D Workspace) 3D Polyline

Jun 13, 2011

I'm trying to create (in 3D workspace), a 3D polyline which starts from the "ground" and goes up the Z axis for 45 units (meters for example), then, the polyline continues "up" but in a 45 degree inclination, and then it goes up further but still 45 degrees from the last segment.

I attached a picture of this to the post, the top line is the one I want to create, and the bottom one is what I get.
The thing is that the 3dpoly command doesn't let me set the line on the Z plane, unless I fix it in ortho mode, and even after I do the first segment that way, the next one stays fixed in either the Z plane or the XY plane, but not in the 45 degree between them that I want....

P.S. - when I click the 3d polyline command, there are no options in the command area, just "specify first point...." - is this what should appear?

View 9 Replies View Related

AutoCad 3D :: Create A Solid From 3D Polyline

Jun 13, 2013

As part of a larger job we have surveyed the top of a dry stone wall. The client now wants that we make a solid for him from the surveyed points with a height of 2000mm (the drawing units are in millimetres).

A 3d polyline was created from the lines joining the points and I have that in the attached drawing.

I'm not looking for someone to create the wall, but I'm looking for the method to do it, as it will certainly crop up again with this new client. I've tried many ways in both AutoCAD and Civil 3D but just can't create the solid.

View 9 Replies View Related

AutoCad :: Create Set Of Points Around A Polyline

Jul 17, 2011

I'm currently trying to use the draw > point > measure tool to create a set of points around a polyline but I can't seem to get them to start at a point that I want. When I try and create the points they start from a random place.

View 3 Replies View Related

AutoCAD .NET :: Create Extruded Solid 3D From Polyline

Feb 11, 2012

I'm trying to create a Solid 3d that is the extrusion solid af a closed polyline by a given height

I select the polyline that i do this

Solid3d s = new Solid3d();
s.CreateExtrudedSolid(selectedPolyline, new Vector3d(0, 0, 20), new SweepOptions());

but Autocad throw an Invalid Input exception.

View 4 Replies View Related

AutoCAD Civil 3D :: Create Point From A Polyline

Aug 14, 2013

I want to create points from the polyline to identify in the field. For example, I create a square for a concrete pad and I want to identify the corners of the pad.  

View 4 Replies View Related

AutoCAD 2013 :: How To Create Lisp Polyline

Nov 5, 2012

i'm looking for polyline lisp. I type PLINE and type Width specify starting width is 0.0 next specify ending width is 90.0 and then i type 200mm for my distance then i choose again the Width to become 0.0 (starting and ending) then choose Arc. How to create lisp polyline?

View 1 Replies View Related

AutoCAD Civil 3D :: Create Drainage Polyline

Apr 16, 2012

Any way to create a polyline linetype that simulates a solid dashed with outer lines (drainage line)?

I could sort of do it with the multiline feature but not what we want.  using 2011 civil3D

View 2 Replies View Related

AutoCAD .NET :: Create A Polyline With Invisible Segment?

Jun 21, 2011

if it's possible to create a polyline with invisible segment.

View 4 Replies View Related

AutoCad :: How To Create Minimal DXF File That Has Polyline

Jan 31, 2014

How to create a minimal DXF file that has polyline. I am using a C# program to create DXF File. Also if i want to hatch a closed polyline what might be the best way.

View 9 Replies View Related

AutoCAD .NET :: Create Polyline With Insertion Point Prompt

Mar 13, 2012

I've been going through some examples on [URL] to create polylines and i've managed to make some code run. One thing that I can't seem to find information on though, is how to use the default AutoCAD command line options in my code. For instance, I would like to be able to prompt the user whether they would like to snap the polyline to an insertion point, everytime they create a new verticie.

Below is some example code from the site that i'm working from:

namespace MyPlineApp
{
public class MyPlineCmds

[Code].....

View 6 Replies View Related

AutoCAD .NET :: Extruding Open Polyline To Create Surface?

May 16, 2013

How do I go about extruding an open polyline to create a surface? I am able to extrude a solid 3d from a closed polyline ( by creating a region first) but I cant find a way to do the same for surfaces.The autodesk.autocad.databaseservices.Surface class does not have an extrude method unlike the its solid3d equivalent. I am using autocad 2012 .

View 1 Replies View Related

AutoCAD .NET :: How To Create 3D Polyline Based On Point3D Collection

Aug 23, 2012

I want to create a command:

My selection set consists of dbpoints that exists on my drawing and they are more or less in line

I create a new point3dcollection with this db points

I want to create a 3d polyline based on this point3d collection

My problem is : how to sort this point3d collection based on a picked start point and picked end point?

The only idea I have is:

from start point i calculate the distance to each point3d from collection and based on the results i sort the point3d collection based on distances.

View 2 Replies View Related

AutoCAD Civil 3D :: Create Ployline From 2D Polyline With Curves?

May 3, 2011

I want to create a 3d ployline from a 2d polyline with curves. When I use the convert 2d polyline to 3d polyline command it places a bunch of vertices along the curve so when I go to place elevations on the vertices it takes too long. I want to be able to give an elevation at the pc and pt and have it place elevations along the curve from this info like it does on the stright lines.

View 6 Replies View Related

AutoCad 2D :: Create Polyline Arc That Mimics Shape Of A Building

Jan 13, 2014

I have been sent a client's construction drawing for a care home where i need to design the sprinkler installation. The majority of the rooms have got the same head positions within them, but they have all got a slightly different angle as the building is shaped like a banana. Unfortunately its not a uniform radius that i can tell as the one side is larger than the other.

So my question is this. Normally, on a square building, I drop in construction lines along the bedrooms so that i know my sprinkler heads are all the same distance off a wall, and I only need to line up one side. However, with this building being a curve, and the wall angle being slightly different on each room, how do I place an angled construction line or polyline to act as my set out line for my heads.

View 9 Replies View Related

AutoCad :: Create A Polyline From Selected Cogo Points

Jan 28, 2012

is there a command (or method) that will create a polyline from selected cogo points instead of manually connected each point from a create line command?

View 2 Replies View Related

AutoCAD Civil 3D :: Create Polyline From Figure Using BaseCurve Method

Nov 18, 2013

[URL]

You said that there is no need to flatten, but each method I have tried does not produce a polyline with curves.

I tried:

survfig.BaseCurve
survfig.BaseCurve.GetProjectedCurve
survig.BaseCurve.GetOrthoprojectedCurve

If if manually flatten the figure using a dummy suface with the AeccFeatureElevsFromSurf command, the polyline derived from survfig.BaseCurve will then have actual arc segments.

Is there another method or a way to flatten the figure programatically first?

View 8 Replies View Related

AutoCAD Civil 3D :: How To Create New Vertex Points In Line And 3D Polyline

Nov 24, 2013

I want to create new vertex points in feature line  and 3dpol.

I have this:
try
{
if (obj.GetType() == typeof(Autodesk.AutoCAD.DatabaseServices.Polyline3d)) {
Polyline3d p3d = (Polyline3d)trans.GetObject(entRes.ObjectId, OpenMode.ForWrite);

[Code]....

In this code line:

oFtrLn.InsertFeaturePoint(punt, AeccLandFeatureLinePointType.aeccLandFeatureLinePointPI);
 
always catches the same Exception "the value is not within the expected range" .I have translated it because I get "El valor no está dentro del intervalo esperado". Perhaps is this: " Value does not fall within the expected range.".

I have tried it with different point3d values but always catches  Exception.

With pol3d I have similar problem.
 
Autocad Civil 3D 2014 +SP1
Quad Core Intel i7 3770-cpu 3.40Ghz.
ssd samsung 840 pro 512gb+ssd samsung 840 pro 256 gb+1tb hdd
32gb RAM 1600 Mhz.
nVidia Quadro 2000.
Win 7 Pro 64bit

View 4 Replies View Related

AutoCAD .NET :: How To Create Lightweight Polyline Using Existing Lines And Arcs

Mar 29, 2013

Using VB.NET, how to create a new polyline out of existing lines and arcs? I am converting existing VBA code into VB.NET, developing in AutoCAD 2010 using VS Professional and I just stumbled into this road block.

Without using programming code, this task can be accomplished via AutoCAD command by typing the PE command, selecting the JOIN option and then selecting any lines or arcs which should be combined to form a polyline.

Using programming code, however, I am quite stumped on this task. I have been able to successfully create the lines and arcs which should form the polyline, and they are all connected as well so they would form a connected polyline; I simply do not know how to proceed from here.

View 6 Replies View Related

AutoCAD .NET :: Create Construction Geometry That Would Behave As Polyline Bulge

Sep 9, 2013

I would like to create a construction geometry that would behave as the Polyline Bulge. In other worlds I would like to create a Construction Arc that would have a Bulge. Upon examination, I was not able to locate any of the Construction Geometry that has a bulge.

The purpose of this is to determine the Bulge location (direction) of the polyline I am creating.

I would like to stay away from creating a database geometry, if possible.

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Create Arc Polyline With Entmake

Jan 4, 2013

I have run into a little trouble in trying to figure out how to create a arc polyline with entmake. I've put together the following and it works great with command "pline". I just want to know how to do it with entmake.

(defun C:22 ()
(setq P1 (getpoint "
Specify first point: ")
P2 (getpoint P1 "
Specify next point: "))
[code].......  

View 7 Replies View Related

AutoCad :: Create Polyline That Has Combined Dashed And Continuous Type Of Line?

Jan 16, 2012

So, is it possible to create one polyline that has combined dashed and continuous type of line in one polyline?

View 9 Replies View Related

AutoCAD .NET :: How To Create And Insert Block With DBObjectCollection

Oct 28, 2013

here a little of my code i want to use for insert a block :

BlocDef = tr.GetObject(BlocDef.ObjectId, OpenMode.ForWrite)For Each ent As Entity In CollObject BlocDef.AppendEntity(ent) tr.AddNewlyCreatedDBObject(ent, True)NextCollObject.Clear()
BlocDef  is a  BlockTableRecord
CollObject is a DBObjectCollection.

But how i can insert in the CollObject my inserted Block with attribute and dynamic ?

i can easy add rectangle or circle but i dont know how for block. to do that actually i add directly in database with a transaction.

View 1 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Create Closed Polyline And Convert It To Region

Oct 9, 2013

I'm trying to look for a LISP command where i will create a closed polyline with 4 sides in different angles. then convert it to region. 

View 6 Replies View Related

AutoCAD Inventor :: Mold Design - Create Insert

Aug 16, 2013

I have a question regarding the 'Face Set Tool' on the 'Create Insert' tool.

View 2 Replies View Related

AutoCAD .NET :: Create Selection Set And Get Insert Point Of Multiple Blocks

Jul 3, 2012

What I am trying to do is create a selection set of blocks with the same name. Then step through the selection set and if the block has an attribute "Tag" with a Specific "Value" then get the insert point.

View 2 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved